/* ==========================================================================
        c_global.c
   --------------------------------------------------------------------------
        Copyright (C) 1989.  Daniel J. Reynolds.  All Rights Reserved.
        High Aspect Development Corporation
        9821 South Pulaski Road
        Evergreen Park, IL  60642   312-424-5997
   ========================================================================== */

#include <curses.h>

char * Copyright = "Copyright (C) 1989 Daniel J. Reynolds All Rights Reserved";
char * Release  = "db_CURSES, Release 1.22";
char * Def_term = NULL;
char   term_path[63] = "C:\\terminfo";

WINDOW * stdscr   = NULL;
WINDOW * curscr   = NULL;
WINDOW * _slkwin  = NULL;
SCREEN * _initscr = NULL;
SCREEN * _cur_scr = NULL;
TERMINAL * cur_term = NULL;

struct _bool_struct *cur_bools;
struct _num_struct  *cur_nums;
struct _str_struct  *cur_strs;

chtype * _this_refresh;
chtype * _last_refresh;

bool    _hccok      =   FALSE;
int     _hcc        =   0;
int     _cerror     =   0;
int     _rip_top    =   0;
int     _rip_bot    =   0;

chtype ACS_ULCORNER = 0x00da;
chtype ACS_LLCORNER = 0x00c0;
chtype ACS_URCORNER = 0x00bf;
chtype ACS_LRCORNER = 0x00d9;
chtype ACS_RTEE     = 0x00b4;
chtype ACS_LTEE     = 0x00c3;
chtype ACS_BTEE     = 0x00c1;
chtype ACS_TTEE     = 0x00c2;
chtype ACS_HLINE    = 0x00c4;
chtype ACS_VLINE    = 0x00b3;
chtype ACS_PLUS     = 0x00c5;
chtype ACS_S1       = '-';
chtype ACS_S9       = '_';
chtype ACS_DIAMOND  = '+';
chtype ACS_CKBOARD  = ':';
chtype ACS_DEGREE   = '\'';
chtype ACS_PLMINUS  = 0x00f1;
chtype ACS_BULLET   = 0x00f8;
chtype ACS_LARROW   = '<';
chtype ACS_RARROW   = '>';
chtype ACS_DARROW   = 'v';
chtype ACS_UARROW   = '^';
chtype ACS_BOARD    = 0x00fe;
chtype ACS_LANTERN  = '#';
chtype ACS_BLOCK    = 0x00db;

int (*x_iskey)(void) = NULL;
int (*x_getkey)(void) = NULL;
int (*x_output)(int,int,chtype) = NULL;
VIDEO * (*x_init)(SCREEN *,int *) = NULL;
void (*x_reset_prog)(SCREEN *) = NULL;
void (*x_reset_shell)(SCREEN *) = NULL;

