/* ==========================================================================
        hello4.c
   --------------------------------------------------------------------------
        Copyright (C) 1989.  Daniel J. Reynolds.  All Rights Reserved.
        High Aspect Development Corporation
        9821 South Pulaski Road
        Evergreen Park, IL  60642   312-424-5997
   ========================================================================== */

#include <curses.h>

void main(void);

/* -------------------------------------------------------------------------- */
void main () {

uint    n_rows,n_cols,s_row,s_col;
WINDOW  * win;

    initscr();
    n_rows = 2;                 /* Start Window - minimum for a boxed border */
    n_cols = 2;
    s_row  = LINES/2 -1;        /* Start at center of screen */
    s_col  = COLS/2 -1;
    while (TRUE) {              /* Break out when proper size */
        win = newwin(n_rows,n_cols,s_row,s_col);
        box(win,0,0);
        wrefresh(win);
        if (n_rows < LINES - 2) {   /* Expand the row dimension */
            n_rows += 2;
            s_row  -= 1;
        }
        if (n_cols <= COLS - 2) {   /* Expand the col dimension */
            n_cols += 2;
            s_col  -= 1;
        }
        else
            break;
        delwin(win);                /* Delete the old window */
    }
    mvwaddstr(win,LINES/2,COLS/2 - 7,"Hello World !");
    wrefresh(win);
    d_sleep(1);                     /* Look for a second */
    while (TRUE) {                  /* Now the same in reverse */
        delwin(win);
        if (n_rows > 2) {
            n_rows -= 2;
            s_row  += 1;
        }
        if (n_cols > 2) {
            n_cols -= 2;
            s_col  += 1;
        }
        else
            break;
        win = newwin(n_rows,n_cols,s_row,s_col);
        box(win,0,0);
        wrefresh(win);
    }
    addstr("\nBye world !");        /* And say bye bye */
    refresh();
    d_sleep(3);
    endwin();
}

